Bug 1172952 - %__scl_path broken
Summary: %__scl_path broken
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scl-utils
Version: 7.1
Hardware: All
OS: All
unspecified
high
Target Milestone: rc
: ---
Assignee: Ľuboš Kardoš
QA Contact: Lukas Zachar
URL:
Whiteboard:
Depends On:
Blocks: 1186339 1196174
TreeView+ depends on / blocked
 
Reported: 2014-12-11 07:51 UTC by Jan Zeleny
Modified: 2016-08-01 01:27 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1186339 1196174 (view as bug list)
Environment:
Last Closed: 2015-11-20 10:28:49 UTC


Attachments (Terms of Use)

Description Jan Zeleny 2014-12-11 07:51:02 UTC
This was originally reported by Panu Matilainen over the email:

"""
In short, scl-utils ships with a rather broken path pattern in its 
scl.attr file:

%__scl_path     %{?scl:^%{_scl_prefix}/.*$ || 
%{_root_sysconfdir}/rpm/macros.%{scl}-config$}

Regexes dont have '||' syntax for or-operator. That might fall through 
as a technically legal regex but it almost certainly does NOT do what 
you wanted it to do. In case of ghc similar pattern matched on every 
single file in every package.
"""

Comment 5 Jan Kurik 2015-11-20 10:28:49 UTC
This bug has been closed as CURRENTRELEASE due to delivery of the fix in a z-stream. As the component is not on ACL, the fix is currently included in y-stream as well.

For more information please see the zstream process documentation:
* https://engineering.redhat.com/trac/ZStream/attachment/wiki/WikiStart/Z-Stream_process_update_4.odp .


Note You need to log in before you can comment on or make changes to this bug.